PHP Manual
Prev |  | Next

# hash_hmac

(no version information, might be only in CVS)

hash_hmac -- Generate a keyed hash value using the HMAC method

## Description

string hash_hmac ( string algo, string data, string key [, bool raw_output] )

## Parameters

`algo`

  Name of selected hashing algorithm (i.e. "md5", "sha256", "haval160,4", etc..)

`data`

  Message to be hashed.

`key`

  Shared secret key used for generating the HMAC variant of the message digest.

`raw_output`

  When set to `TRUE`, outputs raw binary data. Default value (`FALSE`) outputs lowercase hexits.

## Return Values

Returns a string containing the calculated message digest as lowercase hexits unless `raw_output` is set to true in which case the raw binary representation of the message digest is returned.

## Examples

Example 1. hash_hmac() example

`<?php echo hash_hmac('ripemd160', 'The quick brown fox jumped over the lazy dog.', 'secret'); ?>`

The above example will output:

    b8e7ae12510bdfb1812e463a7f086122cf37e4f7

## See Also

hash()
hash_init()
hash_hmac_file()

Prev | Home | Next
hash_hmac_file | Up | hash_init